<div class="title">
    <h2 mat-dialog-title style="width: 100%; margin: 0">{{ event.name }}</h2>
    <button
        mat-icon-button
        aria-label="Delete"
        mat-dialog-close
        (click)="api.deleteEntry('event', event.id, event.name, true);"
        matTooltip="delete event"
    >
        <mat-icon>delete_forever</mat-icon>
    </button>
    <button mat-icon-button aria-label="Close" mat-dialog-close><mat-icon>close</mat-icon></button>
</div>

<mat-dialog-content class="mat-typography">
    <img mat-card-image [src]="mediaEndpoint + 'events/' + event.photo">
    <p class="name">{{event.description}}</p>

    <p *ngIf="event.address" class="location">{{event.address.street}}<br>{{event.address.zip}} {{event.address.city}}<br>{{event.address.country}}</p>
    <p class="date">{{event.date}}</p>

</mat-dialog-content>
